GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Functions
channel.h File Reference
`#include "src/core/channel/channel_stack.h"`
`#include "src/core/client_config/subchannel_factory.h"`

Go to the source code of this file.

## Macros
#define | GRPC_CHANNEL_INTERNAL_REF(channel, reason) grpc_channel_internal_ref(channel)
#define | GRPC_CHANNEL_INTERNAL_UNREF(channel, reason) grpc_channel_internal_unref(channel)

## Functions
grpc_channel * | grpc_channel_create_from_filters (const char *target, const grpc_channel_filter **filters, size_t count, const grpc_channel_args *args, grpc_mdctx *mdctx, int is_client)
grpc_channel_stack * | grpc_channel_get_channel_stack (grpc_channel *channel)
| Get a (borrowed) pointer to this channels underlying channel stack. More...
grpc_mdctx * | grpc_channel_get_metadata_context (grpc_channel *channel)
| Get a (borrowed) pointer to the channel wide metadata context. More...
grpc_mdelem * | grpc_channel_get_reffed_status_elem (grpc_channel *channel, int status_code)
| Get a grpc_mdelem of grpc-status: X where X is the numeric value of status_code. More...
grpc_mdstr * | grpc_channel_get_status_string (grpc_channel *channel)
grpc_mdstr * | grpc_channel_get_compression_algorithm_string (grpc_channel *channel)
grpc_mdstr * | grpc_channel_get_message_string (grpc_channel *channel)
gpr_uint32 | grpc_channel_get_max_message_length (grpc_channel *channel)
void | grpc_channel_internal_ref (grpc_channel *channel)
void | grpc_channel_internal_unref (grpc_channel *channel)

## Macro Definition Documentation

#define GRPC_CHANNEL_INTERNAL_REF | ( |  | channel,
|  |  | reason
| ) |  | grpc_channel_internal_ref(channel)

#define GRPC_CHANNEL_INTERNAL_UNREF | ( |  | channel,
|  |  | reason
| ) |  | grpc_channel_internal_unref(channel)

## Function Documentation

grpc_channel* grpc_channel_create_from_filters | ( | const char * | target,
|  | const grpc_channel_filter ** | filters,
|  | size_t | count,
|  | const grpc_channel_args * | args,
|  | grpc_mdctx * | mdctx,
|  | int | is_client
| ) |  |

grpc_channel_stack* grpc_channel_get_channel_stack | ( | grpc_channel * | channel | ) |

Get a (borrowed) pointer to this channels underlying channel stack.

grpc_mdstr* grpc_channel_get_compression_algorithm_string | ( | grpc_channel * | channel | ) |

gpr_uint32 grpc_channel_get_max_message_length | ( | grpc_channel * | channel | ) |

grpc_mdstr* grpc_channel_get_message_string | ( | grpc_channel * | channel | ) |

grpc_mdctx* grpc_channel_get_metadata_context | ( | grpc_channel * | channel | ) |

Get a (borrowed) pointer to the channel wide metadata context.

grpc_mdelem* grpc_channel_get_reffed_status_elem | ( | grpc_channel * | channel,
|  | int | status_code
| ) |  |

Get a grpc_mdelem of grpc-status: X where X is the numeric value of status_code.

The returned elem is owned by the caller.

grpc_mdstr* grpc_channel_get_status_string | ( | grpc_channel * | channel | ) |

void grpc_channel_internal_ref | ( | grpc_channel * | channel | ) |

void grpc_channel_internal_unref | ( | grpc_channel * | channel | ) |